# Get Document

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Document"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/indexes/{index_name}/documents/{document_id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Displays the document content and its properties.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The identifier of the document. To obtain the ID, you can call the Get All Documents endpoint.","in":"path","name":"document_id","required":true,"schema":{"description":"The identifier of the document. To obtain the ID, you can call the Get All Documents endpoint.","title":"Document Id","type":"string"}},{"description":"The name of the pipeline.","in":"path","name":"index_name","required":true,"schema":{"description":"The name of the pipeline.","title":"Index Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"content":{"anyOf":[{"type":"string"},{"additionalProperties":true,"type":"object"},{"items":{},"type":"array"},{"type":"null"}],"title":"Content"},"embedding":{"anyOf":[{"items":{"type":"number"},"type":"array"},{"type":"null"}],"title":"Embedding"},"id":{"title":"Id","type":"string"},"meta":{"additionalProperties":true,"default":{},"title":"Meta","type":"object"},"score":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Score"}},"required":["id"],"title":"RawHaystackDocument","type":"object"}}},"description":"Documents retrieved successfully."},"404":{"description":"Document '{document_id}' doesn't exist in index '{index_name}'. "},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
